﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SmartDeviceProject2
{
    public partial class Form1 : Form
    {
        private Timer timer = new Timer();

        public Form1()
        {
            InitializeComponent();

            InitializeChart();
        }

        Steema.TeeChart.Styles.Line line1;
        Steema.TeeChart.Pocket.TChart tChart1;
        private void InitializeChart()
        {
            tChart1 = new Steema.TeeChart.Pocket.TChart();
            this.Controls.Add(tChart1);
            tChart1.Legend.Visible = false;
            tChart1.Aspect.View3D = false;

            line1 = new Steema.TeeChart.Styles.Line(tChart1.Chart);
            line1.FillSampleValues();

            tChart1.DoubleClick += new EventHandler(tChart1_DoubleClick);

            timer.Interval = 1000;
            timer.Enabled = true;
            timer.Tick += new EventHandler(timer_Tick);
        }

        void timer_Tick(object sender, EventArgs e)
        {
            tChart1_DoubleClick(null, null);
        }

        void tChart1_DoubleClick(object sender, EventArgs e)
        {
            tChart1.Clear();

            tChart1.Series.Clear();
            tChart1.Series.Add(line1);

            Random rnd = new Random();
            tChart1.AutoRepaint = false;
            line1.Clear();
            line1.Add(rnd.Next(100));
            for (int i = 1; i < 20; i++)
            {
                line1.Add(line1.YValues.Value[i - 1] + rnd.Next(10) - 5);
            }
            tChart1.AutoRepaint = true;
            tChart1.Refresh();
        }
    }
}